Package com.independentsoft.office.spreadsheet.drawing

# Class GraphicFrameNonVisualProperties

java.lang.Object
com.independentsoft.office.spreadsheet.drawing.GraphicFrameNonVisualProperties

public class GraphicFrameNonVisualProperties extends Object
The Class GraphicFrameNonVisualProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphicFrameNonVisualProperties()`
  Instantiates a new graphic frame non visual properties.
  `GraphicFrameNonVisualProperties​(InternalXMLStreamReader reader)`
  Instantiates a new graphic frame non visual properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GraphicFrameNonVisualProperties`
  `clone()`
  `GraphicFrameNonVisualDrawingProperties`
  `getNonVisualDrawingProperties()`
  Gets the non visual drawing properties.
  `NonVisualProperties`
  `getNonVisualProperties()`
  Gets the non visual properties.
  `static boolean`
  `isEmpty​(String value)`
  Checks if is empty.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GraphicFrameNonVisualProperties

    public GraphicFrameNonVisualProperties()
    Instantiates a new graphic frame non visual properties.

  - ### GraphicFrameNonVisualProperties

    public GraphicFrameNonVisualProperties​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new graphic frame non visual properties.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public GraphicFrameNonVisualProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmpty

    public static boolean isEmpty​(String value)
    Checks if is empty.
    Parameters:
      `value` - the value
    Returns:
      true, if is empty

  - ### getNonVisualDrawingProperties

    public GraphicFrameNonVisualDrawingProperties getNonVisualDrawingProperties()
    Gets the non visual drawing properties.
    Returns:
      the non visual drawing properties

  - ### getNonVisualProperties

    public NonVisualProperties getNonVisualProperties()
    Gets the non visual properties.
    Returns:
      the non visual properties